package com.ym.mec.auth.dal.dao;

import com.ym.mec.auth.api.entity.SysMenu;
import com.ym.mec.common.dal.BaseDAO;

import java.util.List;

public interface SysMenuDao extends BaseDAO<Integer, SysMenu> {


    /**
     * 根据角色编号查询拥有的菜单列表
     * @param roleId
     * @return
     */
    List<SysMenu> getMenusByRoleId(Integer roleId);

    /**
     * 根据用户编号查询用户可访问菜单
     * @param userId
     * @return
     */
    List<SysMenu> findByUser(Integer userId);
}