package com.ym.mec.auth.dal.dao;

import com.ym.mec.auth.api.entity.SysRole;
import com.ym.mec.common.dal.BaseDAO;
import java.util.List;

public interface SysRoleDao extends BaseDAO<Integer, SysRole> {

    /**
     * 根据userId查询角色列表
     * @param userId 用户编号
     * @return
     */
    List<SysRole> findRoleByUserId(Integer userId);
}