package com.ym.mec.common.enums;

import com.ym.mec.common.dal.base.BaseIntEnum;

/** 
 * @author sunzl 
 * 2015年8月25日 下午4:19:00 
 * 会员状态枚举类
 */
public enum AccessSource implements BaseIntEnum<AccessSource>{

	PC(1, "PC端"), MOBILE(2, "移动端"), WX(3, "微信");

	private int code;

	private AccessSource(int code, String remark) {
		this.code = code;
		this.remark = remark;
	}

	private String remark;

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public static AccessSource codeOf(int code) {
		for (AccessSource userStatus : AccessSource.values()) {
			if (code == userStatus.getCode()) {
				return userStatus;
			}
		}
		return null;
	}
}
